/* ====================================================================
 * Copyright (c) 1995-1999 The Apache Group.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by the Apache Group
 *    for use in the Apache HTTP server project (http://www.apache.org/)."
 *
 * 4. The names "Apache Server" and "Apache Group" must not be used to
 *    endorse or promote products derived from this software without
 *    prior written permission. For written permission, please contact
 *    apache@apache.org.
 *
 * 5. Products derived from this software may not be called "Apache"
 *    nor may "Apache" appear in their names without prior written
 *    permission of the Apache Group.
 *
 * 6. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by the Apache Group
 *    for use in the Apache HTTP server project (http://www.apache.org/)."
 *
 * THIS SOFTWARE IS PROVIDED BY THE APACHE GROUP ``AS IS'' AND ANY
 * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE APACHE GROUP OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 * ====================================================================
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Apache Group and was originally based
 * on public domain software written at the National Center for
 * Supercomputing Applications, University of Illinois, Urbana-Champaign.
 * For more information on the Apache Group and the Apache HTTP server
 * project, please see <http://www.apache.org/>.
 *
 */

/*
 * fpexec.h -- user-definable variables for the fpexec wrapper code.
 *             (See README.configure on how to customize these variables.)
 */


#ifndef _FPEXEC_H
#define _FPEXEC_H

/*
 * FP_HTTPD_USER -- Define as the username under which Apache normally
 *                  runs.  This is the only user allowed to execute
 *                  this program.
 */
#ifndef FP_HTTPD_USER
#define FP_HTTPD_USER "www"
#endif

/*
 * FP_UID_MIN -- Define this as the lowest UID allowed to be a target user
 *               for fpEXEC.  For most systems, 500 or 100 is common.
 */
#ifndef FP_UID_MIN
#define FP_UID_MIN 100
#endif

/*
 * FP_GID_MIN -- Define this as the lowest GID allowed to be a target group
 *               for fpEXEC.  For most systems, 100 is common.
 */
#ifndef FP_GID_MIN
#define FP_GID_MIN 100
#endif

/*
 * FP_LOG_EXEC -- Define this as a filename if you want all fpEXEC
 *                transactions and errors logged for auditing and
 *                debugging purposes.
 */
#ifndef FP_LOG_EXEC
#define FP_LOG_EXEC "/usr/local/apache/logs/cgi.log"	/* Need me? */
#endif

/*
 * SAFE_PATH -- Define a safe PATH environment to pass to CGI executables.
 *
 */
#ifndef FP_SAFE_PATH
#define FP_SAFE_PATH "/usr/local/bin:/usr/bin:/bin"
#endif

/*
 * FPDIR -- Define the location of the Frontpage executables.
 *
 */
#ifndef FPDIR
#define FPDIR "/usr/local/frontpage/version4.0/exes"
#endif

/*
 * FP_USER -- Define as the username which owns the Frontpage
 *            directory and executables.
 *
 */
#ifndef FP_USER
#define FP_USER "bin"
#endif

/*
 * FP_GROUP -- Define as the group name which owns the Frontpage
 *             directory and executables.
 *
 */
#ifndef FP_GROUP
#define FP_GROUP "bin"
#endif

/*
 * FP_HTACCESS -- Define as the name of the access control file.
 *
 */
#ifndef FP_HTACCESS
#define FP_HTACCESS ".htaccess"
#endif

/*
 * FP_UMASK -- Define as the umask to set prior to running the
 *             Frontpage CGIs.
 *
 */
#ifndef FP_UMASK
#define FP_UMASK 002
#endif

#endif /* _FPEXEC_H */
